> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cekura.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Critical Metric Scenario

> Update a critical metric scenario flag



## OpenAPI

````yaml patch /test_framework/v1/critical-metric-scenarios/{id}/
openapi: 3.1.0
info:
  title: Cekura API
  version: v1
  description: >-
    Complete API documentation for the Cekura platform. This API provides
    endpoints for testing, observing, and evaluating AI voice agents — including
    managing agents, running evaluators, defining metrics, and analyzing call
    quality.
servers:
  - url: https://api.cekura.ai
security: []
paths:
  /test_framework/v1/critical-metric-scenarios/{id}/:
    patch:
      tags:
        - test_framework
      description: Update a critical metric scenario flag
      operationId: critical-metric-scenarios-partial-update
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          description: A unique integer value identifying this critical metric scenario.
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedRequestCriticalMetricScenario'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedRequestCriticalMetricScenario'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedRequestCriticalMetricScenario'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CriticalMetricScenario'
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  field_name:
                    type: array
                    items:
                      type: string
          description: ''
      security:
        - api_key: []
components:
  schemas:
    PatchedRequestCriticalMetricScenario:
      type: object
      properties:
        priority:
          enum:
            - critical
            - non-critical
            - not_a_bug
          type: string
          x-spec-enum-id: 6b5f38576e0a1903
          description: |-
            Priority of the Critical Metric Scenario

            * `critical` - Critical
            * `non-critical` - Non Critical
            * `not_a_bug` - Not A Bug
    CriticalMetricScenario:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        scenario:
          type: string
          readOnly: true
          description: Name of the scenario
        priority:
          enum:
            - critical
            - non-critical
            - not_a_bug
          type: string
          x-spec-enum-id: 6b5f38576e0a1903
          description: |-
            Priority of the Critical Metric Scenario

            * `critical` - Critical
            * `non-critical` - Non Critical
            * `not_a_bug` - Not A Bug
        result:
          type: integer
          writeOnly: true
        call_log:
          type: integer
          writeOnly: true
  securitySchemes:
    api_key:
      type: apiKey
      name: X-CEKURA-API-KEY
      in: header
      description: >-
        API Key Authentication. It should be included in the header of each
        request.

````